//
//  ViewController.m
//  SARefresh
//
//  Created by 余西安 on 2016/11/17.
//  Copyright © 2016年 余西安. All rights reserved.
//

#import "ViewController.h"
#import "SARefreshHeader.h"

@interface ViewController () <UITableViewDataSource>

@property (nonatomic, strong) UITableView *tableView;

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.tableView = [[UITableView alloc] initWithFrame:CGRectZero style:UITableViewStyleGrouped];
    self.tableView.dataSource = self;
    self.tableView.tableHeaderView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 0, 0.1)];
    [self.view addSubview:self.tableView];
    
    // 增加下拉刷新控件
    self.tableView.header = [SARefreshHeader headerWithRefreshingBlock:^{
        // 1秒后停止刷新
        dispatch_time_t time = dispatch_time(DISPATCH_TIME_NOW, (1.0 * NSEC_PER_SEC));
        dispatch_after(time, dispatch_get_main_queue(), ^{
            [self.tableView reloadData];
            [self.tableView.header endRefreshing];
        });
    }];
}

- (void)viewDidLayoutSubviews
{
    [super viewDidLayoutSubviews];
    // 调整TableView位置大小，使之看起来像导航控制器下的视力
    CGSize size = self.view.bounds.size;
    self.tableView.frame = CGRectMake(0, 64, size.width, size.height - 64);
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 7;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"UITableViewCell"];
    if (cell == nil){
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleValue1 reuseIdentifier:@"UITableViewCell"];
    }
    cell.textLabel.text = [NSString stringWithFormat:@"%zi - 随机数：%02d", indexPath.row, arc4random_uniform(100)];
    return cell;
}

@end
